Summary: NFS server daemons
Name: nfs-server
Version: 2.2beta29
Release: 1
Source0: ftp.mathematik.th-darmstadt.de:/pub/linux/okir/nfs-server-2.2beta29.tar.gz
Source1: nfs.init
Source2: exportfs
Patch0: nfs-server-2.2beta29.rpcgen.patch
Copyright: GPL
Group: Networking/Daemons
Buildroot: /tmp/nfs-root
Requires: portmap

%description
The NFS and mount daemons are used to create an NFS server which
can export filesystems to other machines.  This package is not
needed to mount NFS filesystems -- that functionality is already
in the Linux kernel.

%package clients
Summary: client apps for use with remote NFS servers
Group: Networking/Admin

%description clients
This package contains client programs that interact with NFS servers.
It is not needed to mount NFS volumes.  At the moment the only program
in it is showmount, whcih can be used to show exported and mounted
filesystems.

%prep
%setup
%patch -p1

%build
./BUILD <<..EOF..

n
n
0
0
y

..EOF..

make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s"

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
for d in 0 1 2 3 5 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$d.d
done
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

touch $RPM_BUILD_ROOT/etc/exports
chmod 644 $RPM_BUILD_ROOT/etc/exports
install $RPM_SOURCE_DIR/nfs.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs

for f in 0 1 2 6; do
	ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc$f.d/K20nfs
done
for f in 3 5; do
	ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc$f.d/S60nfs
done

install $RPM_SOURCE_DIR/exportfs $RPM_BUILD_ROOT/usr/sbin/exportfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS README .version BUGS COPYING ChangeLog HALL_OF_FAME INSTALL
%doc README.HISTORIC README.mm TODO
%config /etc/exports
%config /etc/rc.d/init.d/nfs
%config /etc/rc.d/rc0.d/K20nfs
%config /etc/rc.d/rc1.d/K20nfs
%config /etc/rc.d/rc2.d/K20nfs
%config /etc/rc.d/rc3.d/S60nfs
%config /etc/rc.d/rc5.d/S60nfs
%config /etc/rc.d/rc6.d/K20nfs
/usr/sbin/exportfs
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/man/man5/exports.5
/usr/man/man8/mountd.8
/usr/man/man8/nfsd.8

%files clients
/usr/sbin/showmount
/usr/man/man8/showmount.8

